Subject: Re: bug#25974: [PATCH 0/2] gnu: nss: Skip failing test on armhf.

From: Marius Bakke <[email-masked]>
Date: Mon, 06 Mar 2017 23:16:43 +0100

Leo Famulari <[email-masked]> writes:

> On Sun, Mar 05, 2017 at 03:47:35PM +0100, Marius Bakke wrote:
>> Patch 2/2 in this series conditionally skips the failing test on armhf.
>> Unfortunately patch 1/2 will rebuild nss on all platforms; I could not
>> figure out how to achieve the same without 'modify-phases'.
>
> That's a minor issue. Ping me when / if you push the change and I'll ask
> to evaluate the master branch.
>
>> Is this acceptable, or should we downgrade nspr and nss again?
>
> I do not think we should downgrade. I expect that most Guix users are
> using the new versions of NSS without any trouble on the x86_64
> architecture.
>
> We should either skip this test on armhf or downgrade the packages on
> armhf.
>
> Do we understand the nature of the test failure, and what sort of
> problems could be masked if we skip the test?

I see the build was restarted and this time it's a different error.

The test that failed in the first round was

"SkipVariants/TlsSkipTest.SkipCertAndKeyExch/0"

and in the second run it's

"ExtensionStream/TlsExtensionTestGeneric.NoSupportedGroups/2"

I also note that these two tests take on the order of 50ms under normal
conditions, but took 51499ms and 20492ms respectively when failing.

So it appears to be a problem with the build host rather than NSS
itself. Can you try starting it again? I guess the best solution is
increasing capacity of the build farm...